#pragma once

#include <FL/Fl_Button.H>
#include <FL/Fl_Scroll.H>
#include <FL/Fl_Choice.H>

namespace fe {
  class Widget {
    public:
      static Fl_Button *getSetButton() { return setButton; }
      static void setSetButton(Fl_Button *b) { setButton = b; }
      static Fl_Button *getChooseButton() { return chooseButton; }
      static void setChooseButton(Fl_Button *b) { chooseButton = b; }
      static Fl_Scroll *getScroll() { return scroll; }
      static void setScroll(Fl_Scroll *s) { scroll = s; }
      static Fl_Choice *getModeChoice() { return modeChoice; }
      static void setModeChoice(Fl_Choice *c) { modeChoice = c; }

    private:
      static Fl_Button *chooseButton;
      static Fl_Button *setButton;
      static Fl_Scroll *scroll;
      static Fl_Choice *modeChoice;
  };
}
